Skip to main content
GET
Read plans for a relationship subject

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

subject_type
enum<string>
required

Relationship subject kind.

Available options:
donor,
household,
relationship_group
subject_id
integer
required

Record identifier in this organization.

Query Parameters

period_start
string<date> | null

Period start. Validation: nullable, date_format:Y-m-d.

period_end
string<date> | null

Period end. Validation: nullable, date_format:Y-m-d, after_or_equal:period_start.

Response

Operation result.

status
string
Example:

"success"

data
object